<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: main.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('main_8cpp.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">main.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;climits&gt;</code><br />
<code>#include &quot;<a class="el" href="menu_8hh_source.html">menu.hh</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="scene_8hh_source.html">scene.hh</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for main.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="main_8cpp__incl.png" border="0" usemap="#main_8cpp" alt=""/></div>
<map name="main_8cpp" id="main_8cpp">
<area shape="rect" title=" " alt="" coords="1200,5,1283,32"/>
<area shape="rect" title=" " alt="" coords="465,528,545,555"/>
<area shape="rect" title=" " alt="" coords="1244,80,1311,107"/>
<area shape="rect" href="menu_8hh.html" title=" " alt="" coords="1335,80,1414,107"/>
<area shape="rect" href="scene_8hh.html" title=" " alt="" coords="728,80,808,107"/>
<area shape="rect" title=" " alt="" coords="594,304,667,331"/>
<area shape="rect" title=" " alt="" coords="727,379,785,405"/>
<area shape="rect" title=" " alt="" coords="494,379,557,405"/>
<area shape="rect" title=" " alt="" coords="907,155,984,181"/>
<area shape="rect" href="gnuplot__link_8hh.html" title=" " alt="" coords="945,304,1068,331"/>
<area shape="rect" href="bottom_surface_8hh.html" title=" " alt="" coords="580,229,719,256"/>
<area shape="rect" href="drone_8hh.html" title=" " alt="" coords="130,155,209,181"/>
<area shape="rect" href="water_surface_8hh.html" title=" " alt="" coords="743,229,871,256"/>
<area shape="rect" href="obstacles_8hh.html" title=" " alt="" coords="401,229,505,256"/>
<area shape="rect" title=" " alt="" coords="985,379,1028,405"/>
<area shape="rect" href="shape_8hh.html" title=" " alt="" coords="437,304,518,331"/>
<area shape="rect" href="_matrix_8hh.html" title=" " alt="" coords="386,379,470,405"/>
<area shape="rect" href="_vector_8hh.html" title=" " alt="" coords="297,453,380,480"/>
<area shape="rect" title=" " alt="" coords="405,453,467,480"/>
<area shape="rect" href="cuboid_8hh.html" title=" " alt="" coords="284,229,369,256"/>
<area shape="rect" href="rotation_matrix_8hh.html" title=" " alt="" coords="23,304,158,331"/>
</map>
</div>
</div>
<p><a href="main_8cpp_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ae66f6b31b5ad750f1fe042a706a4e3d4"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="main_8cpp.html#ae66f6b31b5ad750f1fe042a706a4e3d4">main</a> ()</td></tr>
<tr class="separator:ae66f6b31b5ad750f1fe042a706a4e3d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="ae66f6b31b5ad750f1fe042a706a4e3d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae66f6b31b5ad750f1fe042a706a4e3d4">&#9670;&nbsp;</a></span>main()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int main </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="main_8cpp_source.html#l00009">9</a> of file <a class="el" href="main_8cpp_source.html">main.cpp</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="main_8cpp_ae66f6b31b5ad750f1fe042a706a4e3d4_cgraph.png" border="0" usemap="#main_8cpp_ae66f6b31b5ad750f1fe042a706a4e3d4_cgraph" alt=""/></div>
<map name="main_8cpp_ae66f6b31b5ad750f1fe042a706a4e3d4_cgraph" id="main_8cpp_ae66f6b31b5ad750f1fe042a706a4e3d4_cgraph">
<area shape="rect" title=" " alt="" coords="5,56,60,83"/>
<area shape="rect" href="class_scene.html#a0a3d83da2246b9e98c9e04cef38e1778" title="Implements rotation animation." alt="" coords="139,5,273,32"/>
<area shape="rect" href="class_scene.html#a6a8e842f5988fa87c6880684d22a6c15" title="Displays the number of Vector3D objects." alt="" coords="108,56,304,83"/>
<area shape="rect" href="menu_8hh.html#a2a0e843767aeea4f433a28b9c54f573a" title="Displays menu." alt="" coords="177,107,235,133"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_167790342fb55959539d550b874be046.html">project</a></li><li class="navelem"><a class="el" href="dir_f77a644fded742ea05ed17fa0fdf6fe1.html">src</a></li><li class="navelem"><a class="el" href="main_8cpp.html">main.cpp</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
